Skip to main content
GET
List an entity's RUG operations

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

entityId
string<uuid>
required

Query Parameters

id[lt]
string

Collection cursor pointer to the next page

id[gt]
string

Collection cursor pointer to the previous page

itemsPerPage
integer
default:20

Number of items per page

Required range: 1 <= x <= 1000
numeroDeAsiento
number

RUG seat number for the operation

Example:

12345678

tipo
enum<string>

Type of RUG operation

Available options:
anotacion,
aviso_preventivo,
cancelacion,
cancelacion_de_anotacion,
certificacion,
inscripcion,
modificacion,
modificacion_de_anotacion,
rectificacion_de_anotacion,
rectificacion_por_error,
renovacion_o_reduccion_de_vigencia,
renovacion_vigencia_de_anotacion,
transmision
Example:

"inscripcion"

numeroDeGarantia
number

RUG guarantee number

Example:

123456

fecha[before]
string<date-time>

Date and time of the RUG operation

Example:

"2021-10-12T00:00:00.000Z"

fecha[strictly_before]
string<date-time>

Date and time of the RUG operation

Example:

"2021-10-12T00:00:00.000Z"

fecha[after]
string<date-time>

Date and time of the RUG operation

Example:

"2021-10-12T00:00:00.000Z"

fecha[strictly_after]
string<date-time>

Date and time of the RUG operation

Example:

"2021-10-12T00:00:00.000Z"

createdAt[after]
string<date-time>

Filter by resource creation date (greater than or equal >=)

createdAt[strictly_after]
string<date-time>

Filter by resource creation date (greater than >)

createdAt[before]
string<date-time>

Filter by resource creation date (less than or equal <=)

createdAt[strictly_before]
string<date-time>

Filter by resource creation date (less than <)

updatedAt[after]
string<date-time>

Filter by the date the resource was last updated (greater than or equal >=)

updatedAt[strictly_after]
string<date-time>

Filter by the date the resource was last updated (greater than >)

updatedAt[before]
string<date-time>

Filter by the date the resource was last updated (less than or equal <=)

updatedAt[strictly_before]
string<date-time>

Filter by the date the resource was last updated (less than <)

order[createdAt]
enum<string>

Order by resource creation date

Available options:
asc,
desc
Example:

"asc"

order[updatedAt]
enum<string>

Order by resource update date

Available options:
asc,
desc
Example:

"asc"

Response

RUG operación collection response

@context
string
default:/contexts/RugOperacion
@id
string
default:/entities/{entityId}/datasources/rug/operaciones
Example:

"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/rug/operaciones"

@type
string
default:hydra:Collection
hydra:member
object[]
hydra:view
object

Pagination information